.btn {
  text-decoration: none;
  &.btn--outer-b-white {
    color: white;
    border: 1px solid config("colors.white");
    padding: 6px 10px;
    display: inline-block;
    font-size: config("textSizes.13");
    span {
      display: inline-block;
      vertical-align: middle;
    }
    svg {
      display: inline-block;
      vertical-align: middle;
      width: 8px;
      height: 12px;
      margin-top: -1px;
    }
    @media (max-width: 768px) {
      font-size: config("textSizes.11");
    }
  }
  &.btn--b-yellow {
    color: white;
    padding-bottom: 5px;
    border-bottom: 3px solid config("colors.yellow");
    min-height: 30px;
    span {
      display: inline-block;
      vertical-align: middle;
    }
    svg {
      display: inline-block;
      vertical-align: middle;
      width: 8px;
      height: 12px;
    }
  }
  &.btn-outer-b-yellow {
    border: 1px solid config("colors.yellow");
    color: config("colors.white");
    font-family: config("fonts.roboto");
    font-weight: bold;
    padding: 8px 10px;
    margin: 0 10px;
    font-size: 16px;
    transition: all 0.3s;
    &:hover, &.active {
      color: config("colors.blue");
      background: config("colors.yellow");
    }
    &.active {
      &:hover {
        color: config("colors.white");
        background: transparent;
      }
    }
  }
  &.btn--yellow {
    background: config("colors.yellow");
    border: 1px solid config("colors.yellow");
    transition: all 0.3s;
    color: config("colors.dark-blue");
    font-weight: bold;
    font-family: config("fonts.roboto");
    font-size: config("textSizes.16");
    line-height: config("textSizes.20");
    &:hover {
      background: transparent;
      color: config("colors.white");
    }
  }
  &.btn--scroll {
    position: absolute;
    top: -35px;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(config("colors.light-blue"), 0.83);
    border-radius: 50%;
    box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.29);
    cursor: pointer;
    svg {
      width: 70px;
      height: 70px;
    }
  }
  &.btn--plus {
    color: config("colors.grey7");
    display: flex;
    align-items: center;
    transition: all 0.3s;
    span {
      font-size: config("textSizes.10");
      text-transform: uppercase;
      transition: all 0.3s;
    }
    .icon {
      &.icon--plus {
        border: 1px solid config("colors.grey7");
        transition: all 0.3s;
        border-radius: 50%;
        margin-right: 5px;
        width: 16px;
        height: 16px;
        position: relative;
        text-align: center;
        &:after {
          content: '';
          display: block;
          position: absolute;
          top: 50%; 
          left: 50%;
          transform: translate(-50%, -50%);
          background: config("colors.grey7");
          transition: all 0.3s;
          width: 7px;
          height: 2px;
        }
        &:before {
          content: '';
          display: block;
          position: absolute;
          top: 50%; 
          left: 50%;
          transform: translate(-50%, -50%);
          transition: all 0.3s;
          width: 2px;
          height: 7px;
          background: config("colors.grey7");
        }
      }
    }
    &:hover {
      color: config("colors.black");
      .icon {
        &.icon--plus {
          border-color: config("colors.black");
          &:after,
          &:before {
            background: config("colors.black");
          }
        }
      }
      span {
        color: config("colors.black");
      }
    }
  }
  &.btn--close {
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 20px;
    width: 18px;
    height: 18px;
    cursor: pointer;
    &:after,
    &:before {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      display: block;
      width: 18px;
      height: 2px;
      background: config("colors.white");
    }
    &:after {
      transform: translate(-50%, -50%) rotate(45deg)
    }
    &:before {
      transform: translate(-50%, -50%) rotate(-45deg)
    }
  }
  &.btn--light-blue {
    padding: 0;
    min-width: auto;
    color: config("colors.light-blue");
  }
}

.map_filters__button {
  cursor: pointer;
  position: relative;
  z-index: 2;
  > div {
    position: relative;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    svg {
      position: relative;
      z-index: 1;
      width: 26px;
      height: 26px;
      path {
        stroke: config("colors.white");
        fill: config("colors.white");
        transition: all 0.3s 0.3s;
        stroke-width: 1px;
      }
    }
    &:after {
      content: "";
      background: rgba(config("colors.white"), 0.07);
      width: 48px;
      height: 48px;
      border-radius: 50%;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      transition: all 0.3s 0.3s;
    }
  }
}
.mobile {
  display: none;
  .map_filters__button {
    position: absolute;
    left: 20px;
    top: 20px;
    > div {
      svg {
        width: 16px;
        height: 16px;
      }
      &:before {
        content: "";
        background: config("colors.blue");
        width: 31px;
        height: 31px;
        border-radius: 50%;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
      }
      &:after {
        content: "";
        background: rgba(91, 118, 123, 0.23);
        width: 39px;
        height: 39px;
      }
    }
  }
  .map_filters {
    position: static;
    .map_filters__button {
      display: none;
    }
    .map_filters__form {
      position: static;
      left: 0;
    }
  }
  @media (max-width: 768px) {
    display: block;
  }
}